<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="j81pagosycobrosSesionEJB.J81PagosycobrosSesion_iv0n00_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="fncImprimirRelAlumnosCurso(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncImprimirRelAlumnosCentro(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargaPagosAlumno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncVerPagosAlumno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarPagosAlumno(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEmisionFacturas(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGenerarFacturaEmisionFacturas(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="inicializarPagoPasarela(java.lang.String,java.util.Date,float,java.util.HashMap,w05bWebServicesSesionEJB.W05BDatosFactura)"
    idempotent="true"
>
</method>
<method
    name="fncGuardarListaDocumentosFacturaGenerados(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarDocumentoFacturaGenerado(j81.j81beans.J81DatosLiquidacionBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerFacturaVisualizar(java.lang.String)"
    idempotent="true"
>
</method>
<method
    name="getLineas(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
